I have a corridor design and have a long section of this, with a 3D model pasted in (of a culvert).
How do I keep the reference on the long section, but delete the 3D solid which I have pasted onto my alignment?
I realise this is referencing the 3D solid, but I need my alignment clean, only showing the corridor design and I need my long section to show this 3D solid (a culvert).
I've tried exploding, exporting Civil 3D model as ACAD drawing, but the reference on the long section always disappears. Seems like the only thing to do is manually trace it. Surely there's another way?
The plan view of the solid can be on a frozen/off layer, while the profile view of the projected solid can be thawed/on.
Those are stringent requirements you face.
I can think of no choice but to trace.
I tried _LineworkShrinkwrap command, but it gave a really funky result. Follow up if you find a good solution. We'd like to learn.
The best I can do is some LISP code that creates a bounding box.
(defun c:BBoxOnProfile ( / ob px py px1 py1 p1 p2)
(vl-load-com)
(setq ob (vlax-ename->vla-object (car (entsel "\nSelect Profile Projection object: "))))
(vlax-invoke-method ob 'GetBoundingBox 'x 'y)
(setq ctr 0)
(setq px (vlax-safearray-get-element x ctr)
py (vlax-safearray-get-element x (+ ctr 1))
px1 (vlax-safearray-get-element y ctr)
py1 (vlax-safearray-get-element y (1+ ctr))
p1 (list px py)
p2 (list px1 py1)
)
(vl-cmdf "Rectang" p1 p2)
(princ)
)
Can't find what you're looking for? Ask the community or share your knowledge.